Bug 315871 - (CVE-2007-1659) CVE-2007-1659 pcre regular expression flaws
CVE-2007-1659 pcre regular expression flaws
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 315951 315961 378401 378411 380511 380521 411731 413871 414271
Blocks: 307451
  Show dependency treegraph
Reported: 2007-10-02 15:32 EDT by Josh Bressers
Modified: 2010-09-24 07:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: 7.3-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-06 11:36:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2007-10-02 15:32:47 EDT
Tavis Ormandy of the Google Security Team reported multiple pcre regular
expressions flaws.  Here are the details pasted from Tavis' mail:

unmatched \Q\E sequences with orphan \E codes can cause the compiled
regex to become desynchronized, resulting in corrupt bytecode that may
result in multiple exploitable conditions. This was inadvertently
fixed by the pcre maintainer in version 7.0, however another case of a
lone \E inside a character class remained, this has been fixed in 7.3


Red Hat would like to thank Tavis Ormandy and Will Drewry for properly disclosing these issues.
Comment 6 Josh Bressers 2007-11-05 10:57:51 EST
Lifting embargo
Comment 11 Red Hat Product Security 2008-01-14 08:36:03 EST
This issue was addressed in:

Red Hat Enterprise Linux:
Comment 12 Fedora Update System 2008-02-15 11:34:32 EST
pcre-7.3-3.fc7 has been submitted as an update for Fedora 7
Comment 13 Fedora Update System 2008-03-06 11:36:21 EST
pcre-7.3-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.